GET /projects
List the tenant's projects
Console session only (signed-in console).
Responses
| Status | Description | Body |
|---|---|---|
200 | Projects |
Examples
curl
curl -X GET "$GALON_API_BASE/projects" \
-H "Authorization: Bearer $GALON_API_KEY"POST /projects
Create a project
Console session only (signed-in console).
Request body
application/json · schema ProjectCreate
| Field | Type | Description |
|---|---|---|
name | string · required | |
environment | "test" | "live" |
Responses
| Status | Description | Body |
|---|---|---|
201 | Project created | |
422 | Invalid parameters | Error |
Examples
curl
curl -X POST "$GALON_API_BASE/projects" \
-H "Authorization: Bearer $GALON_API_KEY" \
-H "Content-Type: application/json" \
-d '{"name": "string"}'